/* aliens.h */

#ifndef __ALIENS_H__
#define __ALIENS_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "sprite.h"

typedef enum {
	SLOW_ALIEN,
	FAST_ALIEN,
	MEGA_ALIEN,

	NUM_ALIENS          // Add any types before this! :)
} Alien_t;



int  aliens_init(void);
void aliens_free(void);

int  aliens_set_count(Alien_t alien_type, int count);
int  aliens_set_speed(Alien_t alien_type, int speed);
int  aliens_set_odds (Alien_t alien_type, int count);
#if 0 //Currently unused
int  aliens_set_killshots(Alien_t alien_type, int count);
#endif

void aliens_move(void);
int  aliens_collide(Sprite *sprite, int explode);

void aliens_foreach(SpriteFunc dofunc);

void aliens_add(void);
void aliens_add_bomb(void);


#ifdef __cplusplus
};
#endif

#endif
